Name (Apache Ant API)
Keywords: org.apache.tools.ant.types.resources.selectors.Name class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources.selectors
Class Name

    java.lang.Object
      org.apache.tools.ant.types.resources.selectors.Name

All Implemented Interfaces:
  ResourceSelector

    public class Name

extends java.lang.Object
implements ResourceSelector

Name ResourceSelector.

Since:
  Ant 1.7

Constructor Summary
`Name()`

Method Summary
`boolean` | `doesHandledirSep()` Whether the difference between / and \ (the two common directory characters) is ignored.
`java.lang.String` | `getName()` Get the pattern used by this Name ResourceSelector.
`java.lang.String` | `getRegex()` Get the regular expression used by this Name ResourceSelector.
`boolean` | `isCaseSensitive()` Learn whether this Name ResourceSelector is case-sensitive.
`boolean` | `isSelected(Resource r)` Return true if this Resource is selected.
`void` | `setCaseSensitive(boolean b)` Set whether the name comparisons are case-sensitive.
`void` | `setHandleDirSep(boolean handleDirSep)` Attribute specifing whether to ignore the difference between / and \ (the two common directory characters).
`void` | `setName(java.lang.String n)` Set the pattern to compare names against.
`void` | `setProject(Project p)`
`void` | `setRegex(java.lang.String r)` Set the regular expression to compare names against.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Name

    public Name()

Method Detail

### setProject

    public void setProject(Project p)

### setName

    public void setName(java.lang.String n)

  Set the pattern to compare names against.

  Parameters:
    `n` - the pattern String to set.

### getName

    public java.lang.String getName()

  Get the pattern used by this Name ResourceSelector.

  Returns:
    the String selection pattern.

### setRegex

    public void setRegex(java.lang.String r)

  Set the regular expression to compare names against.

  Parameters:
    `r` - the regex to set.
  Since:
    Ant 1.8.0

### getRegex

    public java.lang.String getRegex()

  Get the regular expression used by this Name ResourceSelector.

  Returns:
    the String selection pattern.
  Since:
    Ant 1.8.0

### setCaseSensitive

    public void setCaseSensitive(boolean b)

  Set whether the name comparisons are case-sensitive.

  Parameters:
    `b` - boolean case-sensitivity flag.

### isCaseSensitive

    public boolean isCaseSensitive()

  Learn whether this Name ResourceSelector is case-sensitive.

  Returns:
    boolean case-sensitivity flag.

### setHandleDirSep

    public void setHandleDirSep(boolean handleDirSep)

  Attribute specifing whether to ignore the difference between / and \ (the two common directory characters).

  Parameters:
    `handleDirSep` - a boolean, default is false.
  Since:
    Ant 1.8.0

### doesHandledirSep

    public boolean doesHandledirSep()

  Whether the difference between / and \ (the two common directory characters) is ignored.

  Since:
    Ant 1.8.0

### isSelected

    public boolean isSelected(Resource r)

  Return true if this Resource is selected.

  Specified by:
    `isSelected` in interface `ResourceSelector`
  Parameters:
    `r` - the Resource to check.
  Returns:
    whether the Resource was selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD